<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">   
    <link rel="stylesheet" href="/static/styles/style.css">
    <title>Конструктор сайтов - ГИПП</title>
    <style>
        .conteiner{
            display: none;
        }
        .menu{
            display: block;
        }
    </style>
</head>
<body>
    <!--Меню-->
    <div class="menu">
        <a href="personalAccaunt.html">тык в лк</a>
        <!--ДОБАВЛЕНИЕ БЛОКА-->
        <div class="menu__element">
            <p class="menu__title">Основные блоки</p>
            <!--Меню хедера СP#1-->
            <div class="menu__edit-tools">
                <p class="menu__elem-title">Хедер</p>
                <button type="button" class="menu__edit-button menu__header-edit-button">
                    <p class="menu__edit-button-text">Изменить</p> <!--При нажатии текст меняется на "Сохранить" + background-color: #3786c8-->
                </button>
                <!--Этот блок добавляется после нажатия на "Изменить"-->
                <button class="menu__delet-edition-button">
                    <img src="/static/img/delete.png" alt="Кнопка удаления изменений">
                </button>
            </div>
            <!--Редактирование, появляется только после нажатия кнопки "Изменить"-->
            <form class="menu__editor" action="">
                <label for="edit" class="menu__elem-title-editor-label">Название</label> <!--Меняет .constructor__first-block-title-->
                <input type="text" id = "edit" class="menu__elem-title-editor">
                <label for="cont" class="menu__elem-title-editor-label">Контактные данные</label> <!--Меняет .constructor__contact-inf-->
                <input type="text" id = "cont" class="menu__elem-title-editor">
            </form>    
        </div>
        <!--НАВИГАЦИОННЫЕ БЛОКИ-->
        <div class="menu__element menu__nav-block">
            <p class="menu__title">Навигационные блоки</p>
            <!--Редактирование-->
            <div class="menu__nav-editor">
                <p class="menu__menu-mini-frame">Меню</p>
                <img  class="menu__mini-freme-img" src="/static/img/menu.png" alt="Прототип меню">
                <div class="menu__news-list">
                    <button type="button" class="menu__edit-button-news">
                        <p class="menu__edit-button-text">Изменить</p> <!--При нажатии текст меняется на "Сохранить" + background-color: #3786c8-->
                    </button>
                    <button class="menu__news-list-item-delete">Удалить</button>
                </div>
                <form class="menu__editor" action="">
                    <label for="nav" class="menu__elem-title-editor-label">Название<p class="menu__elem-editor-instruction">(введите название ссылок через запятую)</p></label> <!--Меняет .constructor__first-block-title-->
                    <input type="text" id = "nav" class="menu__elem-title-editor">
                </form>
            </div>  
        </div>
        <!--НОВОСТНЫЕ БЛОКИ-->
        <div class="menu__element menu__news-block">
            <p class="menu__title">Новостные блоки</p>
            <!--Добавление. Только после выбора при нажатии на-->
            <p class="menu__elem-frame-title">Новостная лента</p>
            <img class="menu__elem-frame-img" src="/static/img/news.png" alt="Прототип новостной ленты">
            <!--CP#1-->
            <div class="menu__edit-tools">
                <p class="menu__elem-title">Новостная лента</p>
                <button type="button" class="menu__edit-button menu__header-edit-button">
                    <p class="menu__edit-button-text">Изменить</p> <!--При нажатии текст меняется на "Сохранить" + background-color: #3786c8-->
                </button>
                <!--Этот блок добавляется после нажатия на "Изменить"-->
                <button class="menu__delet-edition-button">
                    <img src="/static/img/delete.png" alt="Кнопка удаления изменений">
                </button>
            </div>
            <div class="menu__news-editor">
                <div class="validity"> <!--Добавить норм календарь-->
                    <label for="menu__news-from-to-text">За период с</label>
                    <input type="date" class="menu__news-from-to-input">
                    <label for="menu__news-from-to-text">по</label>
                    <input type="date" class="menu__news-from-to-input">
                </div>
                <div class="menu__news-list">
                    <p class="menu__news-list-item-title">Название</p>
                    <button type="button" class="menu__edit-button-news">
                        <p class="menu__edit-button-text">Изменить</p> <!--При нажатии текст меняется на "Сохранить" + background-color: #3786c8-->
                    </button>
                    <button class="menu__news-list-item-delete">Удалить</button>
                </div>
                <button class="menu__add-news-botton">Добавить новость</button>
            </div>

            

        </div>
        <!--Дополнительные блоки-->
        <div class="menu__element menu__else-block">
            <p class="menu__title">Дополнительные блоки</p>
        </div>
        <!--Статистика-->
        <div class="menu__element menu__statictics">
            <p class="menu__title">Статистика</p>
            
        </div> 
    </div>
    <!--Конструктор-->
    <div class="conteiner">
        <!--Добавление новости. Активно только после того, как нажата кнопка + и выбран элемент из списка
        <div class="conteiner__add-news">
            </div>
            <div class="conteiner__news-editor">
                    <a href="personalAccaunt.html">тык</a>
                <p class="conteiner__edit-news-form-title">Добавить новость</p>
                <form action="" class="conteiner__form-news-edit">
                    <label class="conteiner__edit-news-title" for="title_news">
                        Название новости <p class="edit-news-sub-title"> (не более n символов)</p>
                    </label>
                    <input type="text" id="title_news" class="conteiner__news-title-input" placeholder="Введите название"><br>
                    <label class="conteiner__edit-news-title" for="short_text">Краткое описание <p class="edit-news-sub-title"> (не более n символов)</p></label>
                    <textarea class="conteiner__edit-news-textarea" rows="2" id="short_text" placeholder="Введите описание"></textarea>
                    <div class="conteiner__edit-news-photo">
                        <p class="conteiner__news-add-photo-text">Фото для заставки</p>
                        <button class="menu__edit-button-news">Выбрать файл</button>
                    </div>
                    <label class="conteiner__news-add-full-text" for="full_text">Полное описание новости</label>
                    <textarea class="conteiner__edit-news-textarea" rows="4" id="full_text" placeholder="Введите описание"></textarea><br>
                    <button class="conteiner__add-photo-button menu__edit-button-news">Добавить фото</button> 
                    <div class="conteiner__news-editor-buttom-buttons">
                        <button class="conteiner__add-news-button menu__edit-button-news">Опубликовать</button>
                        <button class="conteiner__delet-news-edit menu__news-list-item-delete">Отменить</button>
                    </div>
                </form>
            
        </div>-->
        
        <div class="constructor">
        <!--Верхний блок редактора-->
        <div class="constructor__block constructor__first-block">
            <h1 class="constructor__elem-title constructor__first-block-title">НАЗВАНИЕ</h1>
            <h2 class="constructor__contact-inf"> 
                8(900)5553535<br>gipp@mail.ru   <!--CP#2-->
            </h2>
        </div>
         <!--Кнопка "+"-->
         <button class="button-plus"><a href="constructor-1.html">+</a></button>
        <div class="content">
                <a href="personalAccaunt.html">тык в лк</a>
            <!--Отображение новости-->
            <p class="content__title">Новости</p>
            <div class="content__news-list">
                <div class="content__news-list-items">
                    <img src="/static/img/NewsImg.png" alt="Изображение в новости" class="content__news-img">
                    <div class="content__news-content">
                        <div class="content__news-top-titles">
                            <p class="content__news-title">Название</p>
                            <div class="content__news-date">
                                <p class="content__news-time">17.05.19</p>
                                <p class="content__news-time">23:30</p>
                            </div>                        
                        </div>                 
                        <p class="content__news-text">
                            Под обложкой этого издания скрывался целый мир. Ради него в СССР шли на преступления
                        </p>
                    </div>                    
                </div>

                <div class="content__news-list-items">
                    <img src="/static/img/NewsImg.png" alt="Изображение в новости" class="content__news-img">
                    <div class="content__news-content">
                        <div class="content__news-top-titles">
                            <p class="content__news-title">Название</p>
                            <div class="content__news-date">
                                <p class="content__news-time">17.05.19</p>
                                <p class="content__news-time">23:30</p>
                            </div>                        
                        </div>                 
                        <p class="content__news-text">
                            Под обложкой этого издания скрывался целый мир. Ради него в СССР шли на преступления
                        </p>
                    </div>                    
                </div>
            </div>

        </div>

        <!--Кнопка "+"-->
        <button class="button-plus">+</button>
        <div class="content">

        <!--Кнопка редактора. Доступна в мобилке. При нажатии открывается меню-->
        <button type="button" class="button-pen"><img class="button-pen__img"src="/static/img/pen.png" alt="pen-button"><a href="menu-1.html"></a></button>

        <!--Второй блок редактора-->
        <div class="constructor__block constructor__second-block">
            <h1 class="constructor__elem-title constructor__second-block-title">Карта сайта</h1>
            <h2 class="constructor__contact-inf"> 
                8(900)5553535<br>gipp@mail.ru   <!--CP#2-->
            </h2>
        </div>
       
        </div>
    </div>
</body>
</html>
